Summary: Library of python code used by programs in Red Hat Linux
Name: rhpl
Version: 0.54
Release: 0.8.0.1
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

%description
The rhpl package contains Python code used by programs in Red Hat Linux.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog 
%{_libdir}/python2.2/site-packages/rhpl
%{_sbindir}/ddcprobe
%{_datadir}/rhpl


%changelog
* Tue Oct  8 2002 Harald Hoyer <harald@redhat.de> 0.54
- removed fd/socket leaking
- erratum for 8.0

* Tue Oct 08 2002 Phil Knirsch <pknirsch@redhat.com> 0.53-2
- Integreated Karsten Hopp's 64bit bigendian patch for s390x.

* Fri Oct  4 2002 Brent Fox <bfox@redhat.com> 0.53-1
- Allow window icon to be passed into stand_alone in firstboot_gui_window.py

* Thu Oct  3 2002 Jeremy Katz <katzj@redhat.com> 0.52-2
- fixup installation into %%{_libdir}/python2.2/

* Thu Oct  3 2002 Jeremy Katz <katzj@redhat.com> 0.52-1
- iconvmodule.c: PyObject_asReadBuffer() expects *int while iconv() 
  expects size_t.

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com> 0.51-1
- src/keyboard_models.py: fix romanian console keymap (#72952)

* Wed Aug 28 2002 Jeremy Katz <katzj@redhat.com> 0.50-1
- diskutil.py: update /etc/mtab

* Fri Aug 23 2002 Michael Fulbright <msf@redhat.com> 0.49-1
- videocard.py: Use unsupported VGA compatible card entry if card unknown

* Thu Aug 22 2002 Brent Fox <bfox@redhat.com> 0.48-1
- translate.py: add ability to set codeset for textdomains not pulled in by us

* Thu Aug 22 2002 Brent Fox <bfox@redhat.com> 0.47-1
- fix another typo in translate.py

* Thu Aug 22 2002 Jeremy Katz <katzj@redhat.com> 0.46-1
- fix a typo in translate.py

* Thu Aug 22 2002 Jeremy Katz <katzj@redhat.com> 0.45-1
- minor mouse fixups (#70289, #71893)

* Wed Aug 21 2002 Michael Fulbright <msf@redhat.com> 0.44-1
- added sanity check to ddcprobe'd range values

* Tue Aug 20 2002 Harald Hoyer <harald@redhat.de> 0.43-1
- fixed genClass.py:toContext()
- ValueError -> TypeError in checkType

* Fri Aug 16 2002 Brent Fox <bfox@redhat.com> 0.42-1
- Mark window title for translations in firstboot_gui_window

* Fri Aug 16 2002 Jeremy Katz <katzj@redhat.com> 0.41-1
- translate.py fixes
- "None - None" is back, but as "No mouse"

* Thu Aug 15 2002 Jeremy Katz <katzj@redhat.com> 0.40-1
- comps.py: handle translated category names

* Wed Aug 14 2002 Harald Hoyer <harald@redhat.de>
- added iwconfig-support to ethtool

* Wed Aug 14 2002 Brent Fox <bfox@redhat.com> 0.37-1
- Call destroy() when a firstboot window exits

* Mon Aug 12 2002 Jeremy Katz <katzj@redhat.com> 0.36-1
- add generic wheel mouse types
- add bad hack to handle packages which should only be installed 
  if another package is installed

* Sun Aug 11 2002 Brent Fox <bfox@redhat.com> 0.35-1
- Create US International keymap line for bug 71105

* Sun Aug 11 2002 Brent Fox <bfox@redhat.com> 0.34-2
- Fix typo that I made with the last build

* Sun Aug 11 2002 Brent Fox <bfox@redhat.com> 0.34-1
- Fix Brazilian abnt2 keyboard map for bug 70351

* Tue Aug  6 2002 Michael Fulbright <msf@redhat.com>
- added sanity checks for sync rates

* Fri Aug  2 2002 Jeremy Katz <katzj@redhat.com>
- keyboard_models.py: be-latin2 isn't a valid keymap

* Wed Jul 31 2002 Jeremy Katz <katzj@redhat.com> 0.32-1
- add losetup, unlosetup, and getUnusedLoop to diskutil

* Tue Jul 30 2002 Brent Fox <bfox@redhat.com> 0.31-1
- remove some dead code
- make the font big for firstboot_gui_window titles

* Thu Jul 25 2002 Jeremy Katz <katzj@redhat.com> 0.30-1
- mouse.py: don't enable emulate three buttons on the fly (#68129)

* Thu Jul 25 2002 Jeremy Katz <katzj@redhat.com> 0.29-1
- translate.py: set up default langs based on environment

* Wed Jul 24 2002 Jonathan Blandford  <jrb@redhat.com> 0.28-1
* add GenericError.py

* Wed Jul 24 2002 Jeremy Katz <katzj@redhat.com> 0.27-2
- actually install _diskutil.so

* Wed Jul 24 2002 Jeremy Katz <katzj@redhat.com> 0.27-1
- diskutil.py, diskutil.c: add some simple disk utility methods (mount, 
  umount, sync, ejectCdrom)

* Mon Jul 22 2002 Jeremy Katz <katzj@redhat.com> 0.26-1
- comps.py: add support for reading group hierarchy

* Thu Jul 17 2002 Brent Fox <bfox@redhat.com> 0.25-1
- Make firstboot windows use GtkDialog instead of GtkWindow

* Wed Jul 17 2002 Brent Fox <bfox@redhat.com> 0.24-3
- Change Poland keyboard to Polish.  Bug #68520

* Wed Jul 17 2002 Michael Fulbright <msf@redhat.com> 0.24-2
- minor typo fix

* Wed Jul 17 2002 Michael Fulbright <msf@redhat.com> 0.24-1
- executil.py: add getfd() function

* Tue Jul 16 2002 Jeremy Katz <katzj@redhat.com> 0.23-1
- comps.py: add metapkg support

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.22-2
- Call loadkeys if the binary exists when changing keymaps

* Mon Jul 15 2002 Jeremy Katz <katzj@redhat.com> 0.21-1
- fix jp106 entry in keyboard_models
- add method to get list of supported keyboard maps

* Sat Jul 13 2002 Brent Fox <bfox@redhat.com> 0.20-1
- Small change in firstboot_gui_window.py to center popup windows

* Wed Jul 10 2002 Brent Fox <bfox@redhat.com> 0.19-1
- Added a Greek keyboard to keyboard_models.py

* Wed Jul 10 2002 Alexander Larsson <alexl@redhat.com> 0.18-1
- Fixed bug in monitor resoultion support code

* Mon Jul  1 2002 Harald Hoyer <harald@redhat.de> 0.16-1
- updated Conf*.py
- updated genClass
- added ethtool

* Fri Jun 28 2002 Jeremy Katz <katzj@redhat.com> 0.15-1
- comps.py: use libxml2 for xml parsing instead of expat

* Fri Jun 28 2002 Jeremy Katz <katzj@redhat.com> 0.14-1
- only setxkbmap if $DISPLAY is set

* Thu Jun 27 2002 Jeremy Katz <katzj@redhat.com> 0.13-1
- add parser for new comps file

* Wed Jun 26 2002 Michael Fulbright <msf@redhat.com> 0.12-1
- Fix bug of uninitialized data in Mouse class

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.11-3
- Allow a window title to be passed in

* Wed Jun 19 2002 Brent Fox <bfox@redhat.com> 0.9-4
- Fixed line for German keyboards in keyboard_models.py

* Tue Jun 18 2002 Brent Fox <bfox@redhat.com> 0.9-3
- Remove cancel button from firstboot_gui_window

* Tue Jun 18 2002 Brent Fox <bfox@redhat.com> 0.9-2
- Provide a way to pass keymap name back to firstboot
- Fix error in Slovakian keymap line in keyboard_models.py

* Wed Jun 12 2002 Jeremy Katz <katzj@redhat.com>
- use cz-lat2 for Czechoslovakian keybaord map (#66354)

* Tue Jun 04 2002 Michael Fulbright <msf@redhat.com>
- fixed bug referencing ddcDevice and videoram in card.

* Tue May 28 2002 Jeremy Katz <katzj@redhat.com>
- removed kbd.py, added keyboard.py

* Fri May 24 2002 Michael Fulbright <msf@redhat.com>
- Added kbd.py

* Thu May 23 2002 Alex Larsson <alexl@redhat.com>
- Added /usr/share/rhpl to files list

* Thu May 23 2002 Michael Fulbright <msf@redhat.com>
- added log.py, videocard.py, mouse.py, monitor.py, simpleconfig.py

* Wed May 22 2002 Jeremy Katz <katzj@redhat.com>
- Initial build.


